#[derive(Debug)]
pub enum Error {
    InvalidStartOfFrame(u8),
    InvalidFrameCheckSequence(Vec<u8>),
    InvalidCommandType(u8),
    InvalidSubsystem(u8),
    InvalidCommandId(u8),
    InvalidExtendedHeaderStatus(u8),
    InvalidErrorCode(u8),
    InvalidAddressMode(u8),
    InvalidTxOption(u8),
    InvalidSecurityLevel(u8),
    InvalidKeyIdMode(u8),
    InvalidFrameType(u8),
    InvalidAssociationStatus(u8),
    InvalidDisassociationReason(u8),
    InvalidMACPIBAttributeId(u8),
    InvalidFHPIBAttributeId(u16),
    InvalidSecurityPIBAttributeId(u8),
    InvalidScanType(u8),
    InvalidPhyId(u8),
    InvalidStatus(u8),
    InvalidBeaconType(u8),
    NotEnoughBytes,
    NotImplemented,
}
